%define oname   Lorien

Name:           lorien
Version:        0.5.0
Release:        %mkrel 2
Summary:        Infinite canvas drawing/whiteboarding app
Group:          Graphics/Editors and Converters
License:        MIT
URL:            https://github.com/mbrlabs/Lorien
Source0:        https://github.com/mbrlabs/Lorien/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  godot3-headless
Requires:       godot3-runner

%description
Lorien is an infinite canvas drawing/note-taking app that is focused on
performance, small savefiles and simplicity. It's not based on bitmap images
like Krita, Gimp or Photoshop; it rather saves brush strokes as a collection of
points and renders them at runtime (kind of like SVG). It's primarily desinged
to be used as a digital notebook and as brainstorming tool. While it can totally
be used to make small sketches and diagrams, it is not meant to replace
traditional art programs that operate on bitmap images.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
cd lorien
godot3-headless --export-pack "Linux/X11" ../%{name}.pck

%install
install -D -m644 %{name}.pck %{buildroot}%{_datadir}/%{name}/%{name}.pck

cat << EOF > %{name}.sh
#!/bin/sh
exec godot3-runner --main-pack %{_datadir}/%{name}/%{name}.pck "\$@"
EOF
install -D -m755 %{name}.sh %{buildroot}%{_bindir}/%{name}

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=%{oname}
GenericName=Whiteboarding app
Comment=Infinite canvas drawing/whiteboarding app
Exec=%{name}
Icon=%{name}
Type=Application
Categories=VectorGraphics;Graphics;
EOF

install -D -m644 %{name}.desktop \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

install -D -m644 images/lorien.png \
  %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png

%files
%doc README.md docs/changelog.md docs/manuals/manual_v%{version}.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/64x64/apps/%{name}.png


%changelog
* Sat Mar 04 2023 akien <akien> 0.5.0-2.mga9
+ Revision: 1947496
- Adapt requires and script for godot3 package

* Mon Jun 13 2022 akien <akien> 0.5.0-1.mga9
+ Revision: 1864237
- imported package lorien

